export default Hash;
/**
 * Creates a hash object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
declare function Hash(entries?: any[] | undefined): void;
declare class Hash {
    /**
     * Creates a hash object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    private constructor();
    clear: typeof hashClear;
    delete: typeof hashDelete;
    get: typeof hashGet;
    has: typeof hashHas;
    set: typeof hashSet;
}
import hashClear from "./_hashClear.js";
import hashDelete from "./_hashDelete.js";
import hashGet from "./_hashGet.js";
import hashHas from "./_hashHas.js";
import hashSet from "./_hashSet.js";
