export default MapCache;
/**
 * Creates a map cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
declare function MapCache(entries?: any[] | undefined): void;
declare class MapCache {
    /**
     * Creates a map cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    private constructor();
    clear: typeof mapCacheClear;
    delete: typeof mapCacheDelete;
    get: typeof mapCacheGet;
    has: typeof mapCacheHas;
    set: typeof mapCacheSet;
}
import mapCacheClear from "./_mapCacheClear.js";
import mapCacheDelete from "./_mapCacheDelete.js";
import mapCacheGet from "./_mapCacheGet.js";
import mapCacheHas from "./_mapCacheHas.js";
import mapCacheSet from "./_mapCacheSet.js";
