export default Stack;
/**
 * Creates a stack cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
declare function Stack(entries?: any[] | undefined): void;
declare class Stack {
    /**
     * Creates a stack cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    private constructor();
    __data__: ListCache;
    size: any;
    clear: typeof stackClear;
    delete: typeof stackDelete;
    get: typeof stackGet;
    has: typeof stackHas;
    set: typeof stackSet;
}
import ListCache from "./_ListCache.js";
import stackClear from "./_stackClear.js";
import stackDelete from "./_stackDelete.js";
import stackGet from "./_stackGet.js";
import stackHas from "./_stackHas.js";
import stackSet from "./_stackSet.js";
