export declare type GridRowsProp = Readonly<GridRowData[]>;
export declare type GridRowData = {
    [key: string]: any;
};
/**
 * The key value object representing the data of a row.
 */
export declare type GridRowModel = GridRowData;
export declare type GridUpdateAction = 'delete';
export interface GridRowModelUpdate extends GridRowData {
    _action?: GridUpdateAction;
}
/**
 * The type of Id supported by the grid.
 */
export declare type GridRowId = string | number;
/**
 * The function to retrieve the id of a [[GridRowData]].
 */
export declare type GridRowIdGetter = (row: GridRowData) => GridRowId;
/**
 * An helper function to check if the id provided is valid.
 *
 * @param id Id as [[GridRowId]].
 * @param row Row as [[GridRowData]].
 * @returns a boolean
 */
export declare function checkGridRowIdIsValid(id: GridRowId, row: GridRowModel | Partial<GridRowModel>, detailErrorMessage?: string): boolean;
