import * as React from 'react';
import { ErrorInfo } from 'react';
import { GridApiRef } from '../models/api';
import { Logger } from '../models/logger';
export interface ErrorBoundaryProps {
    logger: Logger;
    render: ({ error }: any) => React.ReactNode;
    api: GridApiRef;
    hasError: boolean;
    componentProps?: any[];
}
export declare class ErrorBoundary extends React.Component<ErrorBoundaryProps, any> {
    static getDerivedStateFromError(error: any): {
        hasError: boolean;
        error: any;
    };
    componentDidCatch(error: Error, errorInfo: ErrorInfo): void;
    logError(error: Error, errorInfo?: ErrorInfo): void;
    render(): React.ReactNode;
}
