import * as React from 'react';
import { PopperProps } from '@material-ui/core/Popper';
import { InternalStandardProps as StandardProps } from '../../utils/material-ui-utils';
export interface GridPanelClasses {
    /** Styles applied to the root element. */
    root: string;
    /** Styles applied to the paper element. */
    paper: string;
}
export interface GridPanelProps extends StandardProps<PopperProps, 'children'> {
    children?: React.ReactNode;
    /**
     * Override or extend the styles applied to the component.
     */
    classes?: Partial<GridPanelClasses>;
    open: boolean;
}
export declare const gridPanelClasses: Record<"root" | "paper", string>;
export declare const GridPanel: (props: GridPanelProps) => JSX.Element;
