export default ListCache;
/**
 * Creates an list cache object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
declare function ListCache(entries?: any[] | undefined): void;
declare class ListCache {
    /**
     * Creates an list cache object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    private constructor();
    clear: typeof listCacheClear;
    delete: typeof listCacheDelete;
    get: typeof listCacheGet;
    has: typeof listCacheHas;
    set: typeof listCacheSet;
}
import listCacheClear from "./_listCacheClear.js";
import listCacheDelete from "./_listCacheDelete.js";
import listCacheGet from "./_listCacheGet.js";
import listCacheHas from "./_listCacheHas.js";
import listCacheSet from "./_listCacheSet.js";
